﻿using System;
using System.Diagnostics;

namespace StatelessTest
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            var stopwatch = new Stopwatch();

            stopwatch.Start();

            for (int i = 0; i < 1000000; i++)
            {
                var phone = new Phone();

                phone.CallDialed();
                phone.CallConnected();
                phone.PlacedOnHold();
                phone.TakenOffHold();
                phone.HungUp();
            }

            stopwatch.Stop();

            Console.Out.WriteLine(stopwatch.ElapsedMilliseconds);
        }
    }
}